Google AI Mode Scraper
scraper.aimode 会镜像 Google AI Mode 的响应,包括渲染后的 HTML、原始 URL 以及详细的引用数据,让你能够审计结果在不同区域之间的差异。
Request Example
curl 'https://api.scrapeless.com/api/v2/scraper/request' \
--header 'Content-Type: application/json' \
--header 'x-api-token: {you_api_key}' \
--data '{
"actor": "scraper.aimode",
"input": {
"prompt": "Recommended attractions in New York",
"country": "US",
"shopping": true
},
"webhook": {
"url": "http://www.youwebhook.com"
}
}'Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | 是 | 发送给 Google AI Mode 的提示词。 |
country | string | 是 | 国家或地区代码。 |
shopping | boolean | 否 | 是否获取购物数据。默认为 true。启用后,响应会在 products 字段中包含额外的商品信息——即每个商品聚合背后的商家报价,例如商店直达 URL、价格、分期付款、库存、配送和退货信息。 |
location | string | 否 | 用于地理定向结果的 Google 规范位置名称(例如 New York,New York,United States)。所有受支持的位置请参见 Google’s geo target list。与 uule 互斥。 |
uule | string | 否 | 预编码的 Google UULE 字符串,用于精确的地理定向。当你已有预先构建好的 UULE 值(而非位置名称)时使用此参数。与 location 互斥。 |
url | string | 否 | Google AI Mode 的完整访问链接。与所有其他参数互斥。 如果填写了此参数,则无需传递所有其他请求参数,即使传递也会被自动忽略。 |
should_fetch_share_link | boolean | 否 | 获取分享链接。 |
Response Fields
注意: 当启用
shopping且响应返回此额外商品信息时,该 API 调用将按基础费率的 2 倍计费。这是由于从多个来源提取和处理商品信息所需的额外资源开销。
| Parameter | Type | Description |
|---|---|---|
result_text | string | 回答正文。 |
result_md | string | Markdown 格式的回答正文。 |
result_html | string | 回答的 HTML 版本。 |
raw_url | string | 原始 Google AI Mode URL。 |
citations | array | 引用来源。 |
citations.snippet | string | 被引用文章的摘要片段。 |
citations.thumbnail | string | 被引用文章的封面图。 |
citations.title | string | 引用标题。 |
citations.url | string | 引用 URL。 |
citations.website_name | string | 网站名称。 |
citations.favicon | string | 网站的 Favicon。 |
search_result | array | Google 引用的可选搜索结果。 |
search_result.snippet | string | 搜索结果摘要片段。 |
search_result.thumbnail | string | 搜索结果封面图。 |
search_result.title | string | 搜索结果标题。 |
search_result.url | string | 搜索结果链接。 |
search_result.website_name | string | 搜索结果网站名称。 |
products | array | Google AI Mode 返回的商品信息。 |
products.thumbnails | array | 商品缩略图 URL 数组。 |
products.title | string | 商品标题。 |
products.url | string | 商品页面 URL。 |
products.brand | string | 商品品牌名称。 |
products.reviews | int | 评论数量。 |
products.rating | string | 平均评分。 |
products.price_range | string | 价格区间,例如 $2,499.99。 |
products.stores | array | 商店报价数组。 |
products.stores.name | string | 商店名称。 |
products.stores.link | string | 商店商品链接。 |
products.stores.title | string | 该商店中的商品标题。 |
products.stores.ratings | string | 商店评分,例如 4.3/5。 |
products.stores.extensions | array | 附加信息(库存、配送、退货)。 |
products.stores.price | string | 商店价格。 |
products.stores.delivery_fee | string | 配送费信息。 |
products.stores.total_price | string | 含费用的总价。 |
products.about_the_product | object | 详细商品信息。 |
products.about_the_product.title | string | 板块标题。 |
products.about_the_product.link | string | 商品页面链接。 |
products.about_the_product.displayed_link | string | 显示的域名。 |
products.about_the_product.features | array | 商品功能/规格。 |
products.about_the_product.features.title | string | 功能名称。 |
products.about_the_product.features.value | string | 功能值。 |
products.about_the_product.description | string | 商品描述。 |
products.variants | array | 商品变体选项。 |
products.variants.title | string | 变体分类标题。 |
products.variants.items | array | 变体选项列表。 |
products.variants.items.name | string | 变体选项名称。 |
products.variants.items.selected | bool | 该变体是否被选中。 |
products.variants.items.availability | bool | 变体可用状态。 |
products.ratings | array | 评分分布数据。 |
products.ratings.stars | int | 星级评分等级(1-5)。 |
products.ratings.amount | int | 该等级的评分数量。 |
products.user_reviews | array | 用户评论数据。 |
products.user_reviews.text | string | 评论文本内容。 |
products.user_reviews.source | string | 评论来源平台。 |
products.user_reviews.rating | int | 用户评分。 |
products.user_reviews.date | string | 评论日期。 |
products.user_reviews.name | string | 评论者姓名。 |
products.user_reviews.title | string | 评论标题。 |
share_url | string | 分享链接。 |